import { requests } from './index';
const PREFIX = 'api-marketing/ai/';
//活动分页查询-统计
export const pageStatistics = params => requests(PREFIX + 'page-statistics', params, true);

//活动分页查询
export const page = params => requests(PREFIX + 'page', params, true);

//计费中心--获取账号余额, 今日消费
export const rechargeCenter = params => requests('/api-marketing/recharge-center', params);

//查看话术模板列表
export const templateList = params => requests(PREFIX + 'get-template-list', params, true);

//营销活动场景/客户意向等级/重拨状态
export const aiDictList = params => requests('/api-marketing/ai-dict-list', params, true, false, 'get');

//新建ai活动
export const initActivity = params => requests(PREFIX + '/init-activity', params, true);

//终止活动计划
export const stopActivityPlan = params => requests(PREFIX + 'stop-activity-plan', params, true, false, 'get');

//重新开启活动计划
export const startActivityPlan = params => requests(PREFIX + 'start-activity-plan', params, true, false, 'get');

//查看计划详情
export const getActivityDetail = params => requests(PREFIX + 'get-activity-detail', params, true, false, 'get');

export const tempPageStatistics = params => requests('/api-marketing/template/page-statistics', params, true, false, 'post');

export const tempDetail = params => requests('/api-marketing/template/query', params, true, false, 'get');

//节日分类信息
export const listAllHolidays = params => requests('/api-marketing/list-all-holidays', params, true, false, 'get');

//获取活动计划预估人数
export const getMemberCount = params => requests(PREFIX + '/get-member-count', params, true, false, 'get');
